USE APEXMAIL INDEX MAILZIP
SET CONSOLE OFF
SET TALK OFF
SET RAW ON
GO TOP
STORE T TO GO
DO WHILE GO
STORE "                                " TO AT1
STORE "                                " TO AT2
STORE "                                " TO AT3
STORE "                                " TO NAME1
STORE "                                " TO NAME2
STORE "                                " TO NAME3
STORE "                                " TO ADR1A
STORE "                                " TO ADR1B
STORE "                                " TO ADR2A
STORE "                                " TO ADR2B
STORE "                                " TO ADR3A
STORE "                                " TO ADR3B
STORE "                                " TO LAST1
STORE "                                " TO LAST2
STORE "                                " TO LAST3
IF .NOT. EOF
STORE ATTENTION TO AT1
STORE COMPANY TO NAME1
STORE ADDRESS1 TO ADR1A
STORE ADDRESS2 TO ADR1B
STORE CITY + STATE + "  " + ZIP TO LAST1
SKIP
ENDIF
IF .NOT. EOF
STORE ATTENTION TO AT2
STORE COMPANY TO NAME2
STORE ADDRESS1 TO ADR2A
STORE ADDRESS2 TO ADR2B
STORE CITY + STATE + "  " + ZIP TO LAST2
SKIP
ENDIF
IF .NOT. EOF
STORE ATTENTION TO AT3
STORE COMPANY TO NAME3
STORE ADDRESS1 TO ADR3A
STORE ADDRESS2 TO ADR3B
STORE CITY + STATE + "  " + ZIP TO LAST3
SKIP
ENDIF
DO PRINTLBL
SET PRINT ON
? AT1,AT2,AT3
? NAME1,NAME2,NAME3
? ADR1A,ADR2A,ADR3A
? ADR1B,ADR2B,ADR3B
? LAST1,LAST2,LAST3
?
IF EOF
STORE F TO GO
ENDIF
SET PRINT OFF
DO PRINTOFF
ENDDO
SET TALK ON
SET CONSOLE ON
SET RAW OFF
GO TOP
RETURN
